For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList Project
      • POSTCreate Project
      • GETGet Project
      • POSTUpdate Project
      • DELDelete Project
      • GETGet Project Config
      • POSTSet Project Config
      • POSTUpdate Project Avatar
      • GETIAM - List Project Members
      • GETIAM - Lookup Project Member
      • POSTIAM - Update Project Member
      • POSTIAM - Test Project Permissions
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceProjects

IAM - Test Project Permissions

POST
/org/:org_id/project/:project_id/iam/test
POST
/api/v1/org/:org_id/project/:project_id/iam/test
$curl -X POST https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/iam/test \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "permissions": [
> "add_editor"
> ]
>}'
1{
2 "permissions": [
3 "string"
4 ],
5 "member": "string"
6}

Test the permissions that the caller (or another subject) holds on the project.

Was this page helpful?
Previous

Get User Profile

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

project_idstringRequiredformat: "uuid"
org_idstringRequiredformat: "uuid"
The org id

Request

This endpoint expects an object.
permissionslist of enumsRequired
A list of permissions to test on the project.
memberstring or nullOptional

Response

Successful Response
permissionslist of strings
memberstring or null

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error